package com.zehong.system.domain.vo;

public class TInsScopeInforVo {

    /**关联抽查任务表*/
    private Integer hazardCheckTaskId;

    /**对象分类*/
    private String objectType;

    /**检查表实例关联 id*/
    private Integer hazardCheckTableRecordId;

    /**抽查要求*/
    private String spotCheckType;

    private String spotCheck;

    private String specialFlag;

    /**此对象应检数据*/
    private Integer lotCount;

    /**抽查细类*/
    private String subobjecttypeCheckTypeDesc;

    /**删除标记*/
    private Integer deleteFlag;

    /**描述*/
    private String remark;

    /**创建时间*/
    private String createTime;

    /**创建人*/
    private String createBy;

    /**修改时间*/
    private String updateTime;

    /**修改人*/
    private String modifyBy;

    public Integer getHazardCheckTaskId() {
        return hazardCheckTaskId;
    }

    public void setHazardCheckTaskId(Integer hazardCheckTaskId) {
        this.hazardCheckTaskId = hazardCheckTaskId;
    }

    public String getObjectType() {
        return objectType;
    }

    public void setObjectType(String objectType) {
        this.objectType = objectType;
    }

    public Integer getHazardCheckTableRecordId() {
        return hazardCheckTableRecordId;
    }

    public void setHazardCheckTableRecordId(Integer hazardCheckTableRecordId) {
        this.hazardCheckTableRecordId = hazardCheckTableRecordId;
    }

    public String getSpotCheckType() {
        return spotCheckType;
    }

    public void setSpotCheckType(String spotCheckType) {
        this.spotCheckType = spotCheckType;
    }

    public String getSpotCheck() {
        return spotCheck;
    }

    public void setSpotCheck(String spotCheck) {
        this.spotCheck = spotCheck;
    }

    public String getSpecialFlag() {
        return specialFlag;
    }

    public void setSpecialFlag(String specialFlag) {
        this.specialFlag = specialFlag;
    }

    public Integer getLotCount() {
        return lotCount;
    }

    public void setLotCount(Integer lotCount) {
        this.lotCount = lotCount;
    }

    public String getSubobjecttypeCheckTypeDesc() {
        return subobjecttypeCheckTypeDesc;
    }

    public void setSubobjecttypeCheckTypeDesc(String subobjecttypeCheckTypeDesc) {
        this.subobjecttypeCheckTypeDesc = subobjecttypeCheckTypeDesc;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getModifyBy() {
        return modifyBy;
    }

    public void setModifyBy(String modifyBy) {
        this.modifyBy = modifyBy;
    }
}
